--==========================================================================================================================
-- USER SETTINGS (THIS IS NEEDED IN MOST CASES)
--==========================================================================================================================
-- JFD_GlobalUserSettings
------------------------------------------------------------
CREATE TABLE IF NOT EXISTS 
JFD_GlobalUserSettings (
	Type 				text 			default null,
	Value 				integer 		default 1);
--==========================================================================================================================
-- Bingle's Civ IV Traits
--==========================================================================================================================
-- Leader_SharedTraits
------------------------------	
CREATE TABLE IF NOT EXISTS 
    Leader_SharedTraits (
    LeaderType          text    REFERENCES Leaders(Type)        default null,
    TraitOne            text    REFERENCES Policies(Type)       default null,
    TraitTwo            text    REFERENCES Policies(Type)       default null);
     
INSERT OR REPLACE INTO Leader_SharedTraits
            (LeaderType,				TraitOne,                  TraitTwo)
SELECT      'LEADER_THP_USMAN_FODIO',	'POLICY_AGGRESSIVE_X',		'POLICY_SPIRITUAL_X'
WHERE EXISTS (SELECT * FROM Policies WHERE Type = 'POLICY_PHILOSOPHICAL_X');
------------------------------	
-- Leaders
------------------------------	
UPDATE Leaders 
SET Description = 'Usman dan Fodio [ICON_WAR][ICON_PEACE]'
WHERE Type = 'LEADER_THP_USMAN_FODIO'
AND EXISTS (SELECT * FROM Policies WHERE Type = 'POLICY_PHILOSOPHICAL_X');
--==========================================================================================================================
-- GAZEBO COMMUNITY PATCH
--==========================================================================================================================
-- COMMUNITY
------------------------------------------------------------
CREATE TABLE IF NOT EXISTS COMMUNITY (Type TEXT, Value INTEGER);
--==========================================================================================================================
-- GEDEMON R.E.D.
--==========================================================================================================================
-- Civilizations
--------------------------------------------------------------------------------------------------------------------------
UPDATE Civilizations 
SET ArtStyleSuffix = '_SONGHAI'
WHERE Type = 'CIVILIZATION_THP_SOKOTO'
AND EXISTS (SELECT * FROM Civilizations WHERE ArtStyleSuffix = '_SONGHAI');
--==========================================================================================================================
-- GEDEMON's YNAEMP (+JFD's v23-25)
--==========================================================================================================================
CREATE TABLE IF NOT EXISTS Civilizations_YnAEMP(CivilizationType, MapPrefix, X, Y, CapitalName, AltX, AltY, AltCapitalName);
INSERT INTO Civilizations_YnAEMP
	(CivilizationType,		 MapPrefix,		X,	Y)
VALUES	('CIVILIZATION_THP_SOKOTO',	'Yagem',		19,	38),
	('CIVILIZATION_THP_SOKOTO',	'Yahem',		61,	38),
	('CIVILIZATION_THP_SOKOTO',	'Cordiform',		34,	14),
	('CIVILIZATION_THP_SOKOTO',	'GreatestEarth',	49,	24),
	('CIVILIZATION_THP_SOKOTO',	'AfricaLarge',		21,	49),
	('CIVILIZATION_THP_SOKOTO',	'WestAfrica',		75,	21),
	('CIVILIZATION_THP_SOKOTO',	'AfriAsiaAust',		22,	46),
	('CIVILIZATION_THP_SOKOTO',	'AfriSouthEuro',	31,	42),
	('CIVILIZATION_THP_SOKOTO',	'AfriGiant',		46,	90),
	('CIVILIZATION_THP_SOKOTO',	'AtlanticGiant',	134,	15),
	('CIVILIZATION_THP_SOKOTO',	'EarthMk3',		21,	33);
-------------------------------------
-- Civilizations_YnAEMPRequestedResources
-------------------------------------
CREATE TABLE IF NOT EXISTS Civilizations_YnAEMPRequestedResources(CivilizationType, Req1, Yield1, Req2, Yield2, Req3, Yield3, Req4, Yield4);
INSERT INTO Civilizations_YnAEMPRequestedResources
	(CivilizationType, 		Req1, Yield1, Req2, Yield2, Req3, Yield3, Req4, Yield4)
SELECT	'CIVILIZATION_THP_SOKOTO',	Req1, Yield1, Req2, Yield2, Req3, Yield3, Req4, Yield4
FROM Civilizations_YnAEMPRequestedResources WHERE CivilizationType = 'CIVILIZATION_SONGHAI';
--==========================================================================================================================
-- HAZEL MAP LABELS
--==========================================================================================================================
-- ML_CivCultures
------------------------------	
CREATE TABLE IF NOT EXISTS ML_CivCultures (ID INTEGER PRIMARY KEY AUTOINCREMENT, CivType TEXT, CultureType TEXT, CultureEra TEXT DEFAULT 'ANY');
INSERT INTO ML_CivCultures
	(CivType,			CultureType, CultureEra)
SELECT	'CIVILIZATION_THP_SOKOTO',	CultureType, CultureEra
FROM ML_CivCultures WHERE CivType = 'CIVILIZATION_ARABIA';
--==========================================================================================================================
-- JFD's CITIES IN DEVELOPMENT (10e9728f-d61c-4317-be4f-7d52d6bae6f4)
--==========================================================================================================================
--==========================================================
-- AMENITIES 
--==========================================================
-- Civilization_JFD_ClassNames
------------------------------------------------------------
CREATE TABLE IF NOT EXISTS 
	Civilization_JFD_ClassNames (
	CivilizationType  		text 		REFERENCES Civilizations(Type) 		default null,
	ClassType  			text 							default null,
	UniqueClassName			text 		 					default null);		

INSERT INTO Civilization_JFD_ClassNames
	(CivilizationType, 			ClassType,		UniqueClassName)
SELECT	'CIVILIZATION_THP_SOKOTO', 		ClassType,		UniqueClassName
FROM Civilization_JFD_ClassNames WHERE CivilizationType = 'CIVILIZATION_ARABIA';
--==========================================================	
-- COLONIES 
--==========================================================	
-- Civilization_JFD_ColonialCityNames
------------------------------------------------------------	
CREATE TABLE IF NOT EXISTS 
Civilization_JFD_ColonialCityNames (
	CivilizationType 		text 	REFERENCES Civilizations(Type) 		default null,
	ColonyName 			text						default null,
	LinguisticType			text						default	null,
	CultureType			text						default	null);

INSERT INTO Civilization_JFD_ColonialCityNames
		(CivilizationType, 			ColonyName,		LinguisticType)
VALUES	('CIVILIZATION_THP_SOKOTO', 			null,			'JFD_Songhay');
------------------------------------------------------------		
-- Flavors
------------------------------------------------------------	
INSERT OR REPLACE INTO Flavors 
		(Type)
VALUES	('FLAVOR_JFD_DECOLONIZATION');
------------------------------------------------------------
-- Leader_Flavors
------------------------------------------------------------	
INSERT INTO Leader_Flavors
		(LeaderType,		FlavorType,			Flavor)
VALUES	('LEADER_THP_USMAN_FODIO',	'FLAVOR_JFD_DECOLONIZATION',	4);
--==========================================================	
-- PROVINCES 
--==========================================================	
-- Civilization_JFD_ProvinceTitles
------------------------------------------------------------	
CREATE TABLE IF NOT EXISTS 
	Civilization_JFD_ProvinceTitles (
	CivilizationType  			text 		REFERENCES Civilizations(Type)  default null,
	ReligionType  				text 		REFERENCES Religions(Type) 	default null, -- ignore this
	DefaultTitle				text 						default null,
	UniqueTitle				text 						default null,
	UseAdjective				boolean						default 0);	

INSERT INTO Civilization_JFD_ProvinceTitles
		(CivilizationType,	DefaultTitle, UniqueTitle, UseAdjective)
SELECT	'CIVILIZATION_THP_SOKOTO',	DefaultTitle, UniqueTitle, UseAdjective
FROM Civilization_JFD_ProvinceTitles WHERE CivilizationType = 'CIVILIZATION_ARABIA';
--==========================================================	
-- SLAVERY 
--==========================================================	
-- Flavors
------------------------------------------------------------	
INSERT OR REPLACE INTO Flavors 
		(Type)
VALUES	('FLAVOR_JFD_SLAVERY');
------------------------------------------------------------
-- Leader_Flavors
------------------------------------------------------------	
INSERT INTO Leader_Flavors
		(LeaderType,		FlavorType,		Flavor)
VALUES	('LEADER_THP_USMAN_FODIO',	'FLAVOR_JFD_SLAVERY',	8);
--==========================================================================================================================
-- JFD's CULTURAL DIVERSITY (31a31d1c-b9d7-45e1-842c-23232d66cd47)
--==========================================================================================================================
-- Civilization_JFD_CultureTypes
-------------------------------------	
CREATE TABLE IF NOT EXISTS 
Civilization_JFD_CultureTypes(
	CivilizationType 	text 	REFERENCES Civilizations(Type) 		default null,
	CultureType 		text						default null,
	ArtDefineTag		text						default	null,
	DefeatScreenEarlyTag	text						default	null,
	DefeatScreenMidTag	text						default	null,
	DefeatScreenLateTag	text						default	null,
	IdealsTag		text						default	null,
	SplashScreenTag		text						default	null,
	SoundtrackTag		text						default	null,
	UnitDialogueTag		text						default null);

INSERT INTO Civilization_JFD_CultureTypes
	(CivilizationType,		ArtDefineTag, 		CultureType, 			IdealsTag,		SplashScreenTag,	SoundtrackTag, UnitDialogueTag)
VALUES	('CIVILIZATION_THP_SOKOTO',	'JFD_WestAfrican',	'CULTURE_JFD_WEST_AFRICAN',	'JFD_WestAfrican',	'JFD_WestAfrican',	'JFD_WestAfrican', 'AS2D_SOUND_JFD_MALINESE');
--==========================================================================================================================	
-- JFD's AND POUAKAI's MERCENARIES (a19351c5-c0b3-4b07-8695-4affaa199949)
--==========================================================================================================================
-- Flavors
------------------------------------------------------------	
INSERT OR REPLACE INTO Flavors 
		(Type)
VALUES	('FLAVOR_JFD_MERCENARY');
------------------------------------------------------------
-- Leader_Flavors
------------------------------------------------------------
INSERT INTO Leader_Flavors
	(LeaderType,				FlavorType,			Flavor)
VALUES	('LEADER_THP_USMAN_FODIO',		'FLAVOR_JFD_MERCENARY',		9);
--==========================================================================================================================	
-- JFD's RISE TO POWER (eea66053-7579-481a-bb8d-2f3959b59974)
--==========================================================================================================================	
-- PIETY
--==========================================================	
-- Flavors
------------------------------------------------------------	
INSERT OR REPLACE INTO Flavors 
		(Type)
VALUES	('FLAVOR_JFD_RELIGIOUS_INTOLERANCE'),
		('FLAVOR_JFD_STATE_RELIGION');
------------------------------------------------------------
-- Leader_Flavors
------------------------------------------------------------	
INSERT INTO Leader_Flavors
		(LeaderType,		FlavorType,				Flavor)
VALUES	('LEADER_THP_USMAN_FODIO',	'FLAVOR_JFD_RELIGIOUS_INTOLERANCE',	6),
	('LEADER_THP_USMAN_FODIO',	'FLAVOR_JFD_STATE_RELIGION',		9);
--==========================================================	
-- PROSPERITY
--==========================================================
-- Civilization_JFD_Currencies
------------------------------------------------------------
CREATE TABLE IF NOT EXISTS 
	Civilization_JFD_Currencies (
	CivilizationType  		text 		REFERENCES Civilizations(Type) 	default null,
	CurrencyType	  		text 		 				default null);

INSERT INTO Civilization_JFD_Currencies
	(CivilizationType,		CurrencyType)
SELECT	'CIVILIZATION_THP_SOKOTO',	CurrencyType
FROM Civilization_JFD_Currencies WHERE CivilizationType = 'CIVILIZATION_SONGHAI';
--==========================================================	
-- INVENTIONS 
--==========================================================	
-- Civilization_JFD_Inventions
------------------------------------------------------------
CREATE TABLE IF NOT EXISTS 
	Civilization_JFD_Inventions (
	CivilizationType  		text 	REFERENCES Civilizations(Type) 				default null,
	InventionType  			text 		 						default null,
	InventionPreference		text 		 						default null);
	
INSERT INTO Civilization_JFD_Inventions
	(CivilizationType, 		InventionType, 			InventionPreference)
VALUES 	('CIVILIZATION_THP_SOKOTO', 	'INVENTION_JFD_WRITING',	'WRITING_JFD_ARABIC'),
	('CIVILIZATION_THP_SOKOTO', 	'INVENTION_JFD_CURRENCY',	'CURRENCY_JFD_MANILA'),
	('CIVILIZATION_THP_SOKOTO', 	'INVENTION_JFD_DOCTRINE',	'DOCTRINE_JFD_FUNDAMENTALISM');	
--==========================================================	
-- SOVEREIGNTY
--==========================================================
-- Civilization_JFD_Governments
------------------------------------------------------------
CREATE TABLE IF NOT EXISTS 
	Civilization_JFD_Governments (
	CivilizationType  		text 		REFERENCES Civilizations(Type) 	default null,
	CultureType	  		text 						default null,
	LegislatureName			text						default	null,
	OfficeTitle			text						default	null,
	GovernmentType			text						default	null,
	Weight				integer						default	0);

INSERT INTO Civilization_JFD_Governments
	(CivilizationType,		LegislatureName, 	OfficeTitle, 	GovernmentType, 		Weight)
SELECT	'CIVILIZATION_THP_SOKOTO',	LegislatureName, 	OfficeTitle, 	'GOVERNMENT_JFD_THEOCRACY', 	95
FROM Civilization_JFD_Governments WHERE CivilizationType = 'CIVILIZATION_ARABIA';
------------------------------------------------------------	
-- Civilization_JFD_HeadsOfGovernment	
------------------------------------------------------------	
CREATE TABLE IF NOT EXISTS 	
	Civilization_JFD_HeadsOfGovernment (	
	CivilizationType  			text 	REFERENCES Civilizations(Type) 	default null,
	CultureType				text 					default null,
	HeadOfGovernmentName			text 		 			default null);

INSERT INTO Civilization_JFD_HeadsOfGovernment
        (CivilizationType,      		HeadOfGovernmentName)
VALUES  ('CIVILIZATION_THP_SOKOTO',		'TXT_KEY_JFD_HEAD_OF_GOVERNMENT_TITLE_CIVILIZATION_THP_SOKOTO_1'),
	('CIVILIZATION_THP_SOKOTO',		'TXT_KEY_JFD_HEAD_OF_GOVERNMENT_TITLE_CIVILIZATION_THP_SOKOTO_2'),
	('CIVILIZATION_THP_SOKOTO',		'TXT_KEY_JFD_HEAD_OF_GOVERNMENT_TITLE_CIVILIZATION_THP_SOKOTO_3'),
	('CIVILIZATION_THP_SOKOTO',		'TXT_KEY_JFD_HEAD_OF_GOVERNMENT_TITLE_CIVILIZATION_THP_SOKOTO_4'),
	('CIVILIZATION_THP_SOKOTO',		'TXT_KEY_JFD_HEAD_OF_GOVERNMENT_TITLE_CIVILIZATION_THP_SOKOTO_5'),
	('CIVILIZATION_THP_SOKOTO',		'TXT_KEY_JFD_HEAD_OF_GOVERNMENT_TITLE_CIVILIZATION_THP_SOKOTO_6'),
	('CIVILIZATION_THP_SOKOTO',		'TXT_KEY_JFD_HEAD_OF_GOVERNMENT_TITLE_CIVILIZATION_THP_SOKOTO_7'),
	('CIVILIZATION_THP_SOKOTO',		'TXT_KEY_JFD_HEAD_OF_GOVERNMENT_TITLE_CIVILIZATION_THP_SOKOTO_8'),
	('CIVILIZATION_THP_SOKOTO',		'TXT_KEY_JFD_HEAD_OF_GOVERNMENT_TITLE_CIVILIZATION_THP_SOKOTO_9'),
	('CIVILIZATION_THP_SOKOTO',		'TXT_KEY_JFD_HEAD_OF_GOVERNMENT_TITLE_CIVILIZATION_THP_SOKOTO_10'),
	('CIVILIZATION_THP_SOKOTO',		'TXT_KEY_JFD_HEAD_OF_GOVERNMENT_TITLE_CIVILIZATION_THP_SOKOTO_11'),
	('CIVILIZATION_THP_SOKOTO',		'TXT_KEY_JFD_HEAD_OF_GOVERNMENT_TITLE_CIVILIZATION_THP_SOKOTO_12'),
	('CIVILIZATION_THP_SOKOTO',		'TXT_KEY_JFD_HEAD_OF_GOVERNMENT_TITLE_CIVILIZATION_THP_SOKOTO_13'),
	('CIVILIZATION_THP_SOKOTO',		'TXT_KEY_JFD_HEAD_OF_GOVERNMENT_TITLE_CIVILIZATION_THP_SOKOTO_14'),
	('CIVILIZATION_THP_SOKOTO',		'TXT_KEY_JFD_HEAD_OF_GOVERNMENT_TITLE_CIVILIZATION_THP_SOKOTO_15'),
	('CIVILIZATION_THP_SOKOTO',		'TXT_KEY_JFD_HEAD_OF_GOVERNMENT_TITLE_CIVILIZATION_THP_SOKOTO_16'),
	('CIVILIZATION_THP_SOKOTO',		'TXT_KEY_JFD_HEAD_OF_GOVERNMENT_TITLE_CIVILIZATION_THP_SOKOTO_17'),
	('CIVILIZATION_THP_SOKOTO',		'TXT_KEY_JFD_HEAD_OF_GOVERNMENT_TITLE_CIVILIZATION_THP_SOKOTO_18'),
	('CIVILIZATION_THP_SOKOTO',		'TXT_KEY_JFD_HEAD_OF_GOVERNMENT_TITLE_CIVILIZATION_THP_SOKOTO_19'),
	('CIVILIZATION_THP_SOKOTO',		'TXT_KEY_JFD_HEAD_OF_GOVERNMENT_TITLE_CIVILIZATION_THP_SOKOTO_20'),
	('CIVILIZATION_THP_SOKOTO',		'TXT_KEY_JFD_HEAD_OF_GOVERNMENT_TITLE_CIVILIZATION_THP_SOKOTO_21'),
	('CIVILIZATION_THP_SOKOTO',		'TXT_KEY_JFD_HEAD_OF_GOVERNMENT_TITLE_CIVILIZATION_THP_SOKOTO_22'),
	('CIVILIZATION_THP_SOKOTO',		'TXT_KEY_JFD_HEAD_OF_GOVERNMENT_TITLE_CIVILIZATION_THP_SOKOTO_23'),
	('CIVILIZATION_THP_SOKOTO',		'TXT_KEY_JFD_HEAD_OF_GOVERNMENT_TITLE_CIVILIZATION_THP_SOKOTO_24'),
	('CIVILIZATION_THP_SOKOTO',		'TXT_KEY_JFD_HEAD_OF_GOVERNMENT_TITLE_CIVILIZATION_THP_SOKOTO_25');
------------------------------------------------------------
-- Civilization_JFD_Titles
------------------------------------------------------------
CREATE TABLE IF NOT EXISTS 
	Civilization_JFD_Titles (
	CivilizationType  		text 		REFERENCES Civilizations(Type) 	default null,
	CultureType			text 		 				default null,
	ReligionType			text 		REFERENCES Religions(Type) 	default null,
	DefaultTitle			text 		 				default null,
	UniqueTitle			text 		 				default null,
	UseAdjective			boolean						default 0);	

INSERT INTO Civilization_JFD_Titles
	(CivilizationType,			DefaultTitle,	UniqueTitle)
SELECT	'CIVILIZATION_THP_SOKOTO',		DefaultTitle,	UniqueTitle
FROM Civilization_JFD_Titles WHERE CivilizationType = 'CIVILIZATION_ARABIA';
------------------------------------------------------------
-- Flavors
------------------------------------------------------------	
INSERT OR REPLACE INTO Flavors 
		(Type)
VALUES	('FLAVOR_JFD_REFORM_GOVERNMENT'),
		('FLAVOR_JFD_REFORM_LEGAL'),
		('FLAVOR_JFD_REFORM_CULTURE'),
		('FLAVOR_JFD_REFORM_ECONOMIC'),
		('FLAVOR_JFD_REFORM_FOREIGN'),
		('FLAVOR_JFD_REFORM_INDUSTRY'),
		('FLAVOR_JFD_REFORM_MILITARY'),
		('FLAVOR_JFD_REFORM_RELIGION');
------------------------------------------------------------
-- Leader_Flavors
------------------------------------------------------------	
INSERT INTO Leader_Flavors
		(LeaderType,		FlavorType,				Flavor)
VALUES	('LEADER_THP_USMAN_FODIO',	'FLAVOR_JFD_REFORM_GOVERNMENT',		8),
	('LEADER_THP_USMAN_FODIO',	'FLAVOR_JFD_REFORM_LEGAL',		6),
	('LEADER_THP_USMAN_FODIO',	'FLAVOR_JFD_REFORM_CULTURE',		5),
	('LEADER_THP_USMAN_FODIO',	'FLAVOR_JFD_REFORM_ECONOMIC',		3),
	('LEADER_THP_USMAN_FODIO',	'FLAVOR_JFD_REFORM_FOREIGN',		4),
	('LEADER_THP_USMAN_FODIO',	'FLAVOR_JFD_REFORM_INDUSTRY',		5),
	('LEADER_THP_USMAN_FODIO',	'FLAVOR_JFD_REFORM_MILITARY',		7),			
	('LEADER_THP_USMAN_FODIO',	'FLAVOR_JFD_REFORM_RELIGION',		10);
--==========================================================================================================================
-- TOMATEKH'S HISTORICAL RELIGIONS COMPLETE
--==========================================================================================================================
-- N/A (Islam defaults to Sunni)
--==========================================================================================================================
-- TROLLER ADDITIONAL ACHIEVEMENTS
--==========================================================================================================================
-- AdditionalAchievements_Mods
------------------------------
CREATE TABLE IF NOT EXISTS 
	AdditionalAchievements_Mods (
	ID  				integer 	PRIMARY KEY		AUTOINCREMENT,
	Type				text					default	null,
	ModName				text					default null,
	ModID				text					default	null,	
	Authors				text					default	null);

INSERT INTO AdditionalAchievements_Mods
	(Type,		    ModName,			   ModID,			    Authors)
VALUES	('MOD_THP_SOKOTO', 'TXT_KEY_MOD_THP_SOKOTO_NAME', 'TXT_KEY_MOD_THP_SOKOTO_ID_CFC', 'TXT_KEY_MOD_THP_SOKOTO_AUTHORS');
-------------------------
-- AdditionalAchievements
-------------------------
CREATE TABLE IF NOT EXISTS 
	AdditionalAchievements (
	ID  			integer 	PRIMARY KEY		AUTOINCREMENT,
	Type			text					default	null,
	Achievopedia		text					default null,
	Header			text					default	null,	
	IconAtlas		text					default	null,	
	PortraitIndex		integer					default	0,
	ModType			text					default	null,	
	ModVersion		integer					default	0,
	Unlocked		boolean					default	0,
	LockedIconAtlas		text					default	'CIV_COLOR_ATLAS',
	LockedPortraitIndex	integer					default	23,
	UnlockSound		text					default	'AS2D_INTERFACE_ANCIENT_RUINS',
	PopupDuration		integer					default	-1,
	Hidden			boolean					default	0,
	HiddenBorder		boolean					default	0,
	RequiredCivWin		text					default	null,
	RequiredCivLoss		text					default	null,
	RequiredCivKill		text					default	null);

INSERT INTO AdditionalAchievements
		(Type,			Header,			Achievopedia,		ModType,	ModVersion,		RequiredCivWin,				IconAtlas,		PortraitIndex)
VALUES	('AA_THP_SOKOTO_SPECIAL',	'TXT_KEY_AA_THP_SOKOTO_SPECIAL_HEADER',	'TXT_KEY_AA_THP_SOKOTO_SPECIAL_TEXT',	'MOD_THP_SOKOTO',	1,				null,				'THP_SOKOTO_ATLAS',	0),
		('AA_THP_SOKOTO_VICTORY',	'TXT_KEY_AA_THP_SOKOTO_VICTORY_HEADER',	'TXT_KEY_AA_THP_SOKOTO_VICTORY_TEXT',	'MOD_THP_SOKOTO',	1,				'CIVILIZATION_THP_SOKOTO',	'THP_SOKOTO_ATLAS',	0);
--==========================================================================================================================
--==========================================================================================================================